Subject: bug#31091: 25.2: Feature Request: auto exit upon memory exhaustion warning

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 24 Apr 2022 16:25:57 +0200

Andreas Schwab <[email-masked]> writes:

>> I would like to suggest a optional feature to automatically save
>> buffers and shut down emacs / emacs-server when this condition occurs.
>
> How do you detect that condition?

I don't think there's anything generally useful Emacs can do here to
detect the situation -- Emacs can't know whether the machine is running
out of memory one way or another.  (For instance, it may be in a VM and
the host is running out of memory.)

So I don't think there'll be any progress in this bug report, and I'm
therefore closing it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no